Package org.snpsift.lang.expression

# Class Na

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.ExpressionUnary
org.snpsift.lang.expression.Exists
org.snpsift.lang.expression.Na

public class Na extends Exists
Exists operator (true if a field exists)

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.ExpressionUnary

`expr`

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`Na(Expression expr)`

## Method Summary

### Methods inherited from class org.snpsift.lang.expression.Exists

`evalOp`

### Methods inherited from class org.snpsift.lang.expression.ExpressionUnary

`eval, eval, toString`

### Methods inherited from class org.snpsift.lang.expression.Expression

`setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Na

public Na(Expression expr)